
package datos;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;

public class FormatosNumericos {
    public DecimalFormat[] getFormatosNumericos(){
        DecimalFormatSymbols decimalFormatSymbols = new DecimalFormatSymbols();
        DecimalFormat[] decimalFormat = new DecimalFormat[4];
        decimalFormat[0] = new DecimalFormat("###,###,##0", decimalFormatSymbols);
        decimalFormat[1] = new DecimalFormat("##0", decimalFormatSymbols);
        decimalFormat[2] = new DecimalFormat("###,##0.00", decimalFormatSymbols);
        decimalFormat[3] = new DecimalFormat("###,###,##0.00", decimalFormatSymbols);       
        decimalFormatSymbols.setDecimalSeparator(',');
        decimalFormatSymbols.setGroupingSeparator('.');  
        
        return decimalFormat;               
    }    
}
